Page MenuHomePhabricator

Viewing page's first revision via diff gives error
Closed, ResolvedPublic

Description

Urls of the ?title=ArticleName&diff=123456789 and ?title=ArticleName&oldid=123456789&diff=prev variety (such as from the patrol log) display an error when the referenced revision does not exist: the page title displays as "Error" and the MediaWiki:Difference-missing-revision text is displayed. The page content as of that revision ID still displays.

Example: https://en.wikipedia.org/w/index.php?title=Anglicisation_of_names&diff=prev&oldid=411729326
Compare with older MediaWiki behavior: https://rationalwiki.org/w/index.php?title=George_Tarleton&diff=prev&oldid=1730578

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 4 2018, 1:27 AM
Framawiki raised the priority of this task from Medium to High.Aug 8 2018, 4:37 PM

Pretty annoying bug, adds an error message where everything is good. I allow myself to increase the priority of this task.

Tgr updated the task description. (Show Details)Aug 13 2018, 3:03 PM
Anomie added a subscriber: Anomie.EditedAug 19 2018, 12:04 AM

It looks like you changed the functions to return false in some cases where the original call returned true (versus the situation you were fixing where it returned true when the original call returned false). I left details in inline comments on https://gerrit.wikimedia.org/r/c/mediawiki/core/+/445136.

MusikAnimal added a subscriber: MusikAnimal.
Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptAug 20 2018, 5:34 PM

Change 454638 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/core@master] Fix DifferenceEngine revision loading logic

https://gerrit.wikimedia.org/r/454638

Daask removed a subscriber: Daask.Aug 22 2018, 10:01 PM

Change 454638 merged by jenkins-bot:
[mediawiki/core@master] Fix DifferenceEngine revision loading logic

https://gerrit.wikimedia.org/r/454638

Tgr closed this task as Resolved.Aug 24 2018, 6:26 PM
Sphilbrick added a comment.EditedAug 24 2018, 9:07 PM

I see this is marked as resolved.

I just looked at:
https://en.wikipedia.org/w/index.php?title=Alexandru_Dabija&diff=856373908

Revision as of 19:05, 24 August 2018 (UTC)

I'm not quite sure of the time zone associated with the "resolved" comment (Fri, Aug 24, 6:26 PM), so just checking to see if this error was created prior to the resolution.

The fix should be deployed to Wikimedia wikis with 1.32.0-wmf.19 or later. You can see https://www.mediawiki.org/wiki/MediaWiki_1.32/Roadmap for a schedule.

And I feel bad, that I haven't even thanked whomever is responsible for a timely solution. Thanks, it will make the process better.

Phil

Change 455254 had a related patch set uploaded (by Jforrester; owner: Gergő Tisza):
[mediawiki/core@wmf/1.32.0-wmf.18] Fix DifferenceEngine revision loading logic

https://gerrit.wikimedia.org/r/455254

Change 455254 merged by jenkins-bot:
[mediawiki/core@wmf/1.32.0-wmf.18] Fix DifferenceEngine revision loading logic

https://gerrit.wikimedia.org/r/455254

Mentioned in SAL (#wikimedia-operations) [2018-08-27T11:40:08Z] <tgr@deploy1001> Synchronized php-1.32.0-wmf.18/includes/diff/DifferenceEngine.php: SWAT: [[gerrit:455254|Fix DifferenceEngine revision loading logic (T201218, T202454)]] (duration: 00m 49s)